/*------------
 Theme Name:   DVS Child Theme
 Theme URI:    
 Description:  Grid CSS
 Author:       DVS Development
 Author URI:   https://www.dvs.com/
 Template:     Divi
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
------------ ADDITIONAL CSS HERE ------------*/

/*------------ Grid CSS Helper Starts ------------*/

/*- Contact Grid Starts -*/
/* Facilities */
.facility-container_grid {
    display: grid;
    grid-gap: 2em;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}
.facility-1 {
    grid-column: 1;
    grid-row: 1;
}
.facility-2 {
    grid-column: 2;
    grid-row: 1;
}
.facility-3 {
    grid-column: 3;
    grid-row: 1;
}
.facility-4 {
    grid-column: 4;
    grid-row: 1;
}

@media all and (max-width: 800px) {
    .facility-container_grid {
        display: grid;
        grid-gap: 2em;
        grid-template-columns: 1fr 1fr;
    }
    .facility-1 {
        grid-column: 1;
        grid-row: 1;
    }
    .facility-2 {
        grid-column: 2;
        grid-row: 1;
    }
    .facility-3 {
        grid-column: 1;
        grid-row: 2;
    }
    .facility-4 {
        grid-column: 2;
        grid-row: 2;
    }
}

@media all and (max-width: 475px) {
    .facility-container_grid {
        display: grid;
        grid-gap: 2em;
        grid-template-columns: 1fr;
    }
    .facility-1 {
        grid-column: 1;
        grid-row: 1;
    }
    .facility-2 {
        grid-column: 1;
        grid-row: 2;
        padding-top: 1em;
    }
    .facility-3 {
        grid-column: 1;
        grid-row: 3;
        padding-top: 1em;
    }
    .facility-4 {
        grid-column: 1;
        grid-row: 4;
        padding-top: 1em;
    }
}

/* Services */
.services-container_grid {
    display: grid;
    grid-gap: 2em;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}
.services-1 {
    grid-column: 1;
    grid-row: 1;
}
.services-2 {
    grid-column: 2;
    grid-row: 1;
}
.services-3 {
    grid-column: 3;
    grid-row: 1;
}

@media all and (max-width: 800px) {
    .services-container_grid {
        display: grid;
        grid-gap: 2em;
        grid-template-columns: 1fr 1fr;
    }
    .services-1 {
        grid-column: 1;
        grid-row: 1;
    }
    .services-2 {
        grid-column: 2;
        grid-row: 1;
    }
    .services-3 {
        grid-column: 1;
        grid-row: 2;
    }
}

@media all and (max-width: 475px) {
    .services-container_grid {
        display: grid;
        grid-gap: 2em;
        grid-template-columns: 1fr;
    }
    .services-1 {
        grid-column: 1;
        grid-row: 1;
    }
    .services-2 {
        grid-column: 1;
        grid-row: 2;
        padding-top: 1em;
    }
    .services-3 {
        grid-column: 1;
        grid-row: 3;
        padding-top: 1em;
    }
}

/* 6 Column */
.sixColCtr-grid {
    display: grid;
    grid-gap: 2em;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
}

.sixColCtr-1,
.sixColCtr-2,
.sixColCtr-3,
.sixColCtr-4,
.sixColCtr-5,
.sixColCtr-6 {
    grid-row: 1;
}

.sixColCtr-7,
.sixColCtr-8,
.sixColCtr-9,
.sixColCtr-10,
.sixColCtr-11,
.sixColCtr-12 {
    grid-row: 2;
}

.sixColCtr-13,
.sixColCtr-14,
.sixColCtr-15 {
    grid-row: 3;
}

.sixColCtr-1,
.sixColCtr-7 {
    grid-column: 1;
}

.sixColCtr-2,
.sixColCtr-8 {
    grid-column: 2;
}

.sixColCtr-3,
.sixColCtr-9 {
    grid-column: 3;
}

.sixColCtr-4,
.sixColCtr-10 {
    grid-column: 4;
}

.sixColCtr-5,
.sixColCtr-11 {
    grid-column: 5;
}

.sixColCtr-6,
.sixColCtr-12 {
    grid-column: 6;
}

.sixColCtr-13 {
    grid-column-start: 1;
    grid-column-end: 3;
}

.sixColCtr-14 {
    grid-column-start: 3;
    grid-column-end: 5;
}

.sixColCtr-15 {
    grid-column-start: 5;
    grid-column-end: 7;
}

@media all and (max-width: 767px) {
    .sixColCtr-grid {
        display: grid;
        grid-gap: 2em;
        grid-template-columns: 1fr 1fr 1fr;
    }

    .sixColCtr-1,
    .sixColCtr-2,
    .sixColCtr-3 {
        grid-row: 1;
    }

    .sixColCtr-4,
    .sixColCtr-5,
    .sixColCtr-6 {
        grid-row: 2;
    }
    
    .sixColCtr-7,
    .sixColCtr-8,
    .sixColCtr-9 {
        grid-row: 3;
    }

    .sixColCtr-10,
    .sixColCtr-11,
    .sixColCtr-12 {
        grid-row: 4;
    }

    .sixColCtr-13,
    .sixColCtr-14,
    .sixColCtr-15 {
        grid-row: 5;
    }
    
    .sixColCtr-1,
    .sixColCtr-4,
    .sixColCtr-7,
    .sixColCtr-10,
    .sixColCtr-13 {
        grid-column: 1;
    }
    
    .sixColCtr-2,
    .sixColCtr-5,
    .sixColCtr-8,
    .sixColCtr-11,
    .sixColCtr-14 {
        grid-column: 2;
    }
    
    .sixColCtr-3,
    .sixColCtr-6,
    .sixColCtr-9,
    .sixColCtr-12,
    .sixColCtr-15 {
        grid-column: 3;
    }
}

@media all and (max-width: 479px) {
    .sixColCtr-grid {
        display: grid;
        grid-gap: 1em;
        grid-template-columns: 1fr 1fr;
    }

    .sixColCtr-1,
    .sixColCtr-2 {
        grid-row: 1;
    }

    .sixColCtr-3
    .sixColCtr-4 {
        grid-row: 2;
    }

    .sixColCtr-5,
    .sixColCtr-6 {
        grid-row: 3;
    }
    
    .sixColCtr-7,
    .sixColCtr-8 {
        grid-row: 4;
    }

    .sixColCtr-9,
    .sixColCtr-10 {
        grid-row: 5;
    }

    .sixColCtr-11,
    .sixColCtr-12 {
        grid-row: 6;
    }

    .sixColCtr-13,
    .sixColCtr-14 {
        grid-row: 7;
    }

    .sixColCtr-15 {
        grid-column-start: 1;
        grid-column-end: 3;
        margin: 0 auto;
    }
    
    .sixColCtr-1,
    .sixColCtr-3,
    .sixColCtr-5,
    .sixColCtr-7,
    .sixColCtr-9,
    .sixColCtr-11,
    .sixColCtr-13   {
        grid-column: 1;
    }
    
    .sixColCtr-2,
    .sixColCtr-4,
    .sixColCtr-6,
    .sixColCtr-8,
    .sixColCtr-10,
    .sixColCtr-12,
    .sixColCtr-14   {
        grid-column: 2;
    }
}